PUT
/report-templates/{reportTemplateId}
curl \
--request PUT 'https://live.smartpmtech.com/report-templates/{reportTemplateId}' \
--header "X-API-KEY: $API_KEY" \
--header "Content-Type: application/json" \
--header "X-COMPANY-ID: string" \
--data '{
"isArchived": true,
"reportVersion": "V1",
"reportConfig": "string",
"reportLayout": "string",
"name": "string",
"id": 42,
"description": "string",
"projectId": 42,
"outputType": "PDF",
"createdByUserId": "string",
"reportType": "CHANGES"
}'
Request examples
# Headers
X-COMPANY-ID: string
# Payload
{
"isArchived": true,
"reportVersion": "V1",
"reportConfig": "string",
"reportLayout": "string",
"name": "string",
"id": 42,
"description": "string",
"projectId": 42,
"outputType": "PDF",
"createdByUserId": "string",
"reportType": "CHANGES"
}
Response examples (200)
{
"isArchived": true,
"reportVersion": "V1",
"reportConfig": "string",
"reportLayout": "string",
"name": "string",
"id": 42,
"description": "string",
"projectId": 42,
"outputType": "PDF",
"createdByUserId": "string",
"reportType": "CHANGES"
}